Remover bandeiras de webhook
curl --request DELETE \
--url https://api-vendas.taximachine.com.br/integracao/v1/engajamento/permissao/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"bandeiras": [
820,
620,
767
]
}
'import requests
url = "https://api-vendas.taximachine.com.br/integracao/v1/engajamento/permissao/{id}"
payload = { "bandeiras": [820, 620, 767] }
headers = {
"Authorization": "Basic <encoded-value>",
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
Authorization: 'Basic <encoded-value>',
'api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({bandeiras: [820, 620, 767]})
};
fetch('https://api-vendas.taximachine.com.br/integracao/v1/engajamento/permissao/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Permissões de engajamento excluídas com sucesso."
}Engajamento
Permissões: remover bandeiras de webhook
Remove o vínculo de um grupo de bandeiras do webhook. Recebe uma lista de bandeiras com cada bandeira_id a ser removido. O envio de eventos é alterado em até 5 minutos após a exclusão.
DELETE
/
integracao
/
v1
/
engajamento
/
permissao
/
{id}
Remover bandeiras de webhook
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Obrigatório. Sua chave API.
Path Parameters
ID do webhook.
Body
application/json
Obrigatório. Lista de IDs das bandeiras que serão removidas.
Response
200 - application/json
Sucesso
The response is of type object.
⌘I
